

/*
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
#include <stdio.h>
#include <stdlib.h>
#include "Types.h"

extern void test_in(int);
extern void test_out(char*);
extern void test_inout(char*);
extern void test_no(int);
extern void test_nocheck(int);
extern int test_pstruct_in(t_add*);
extern int test_pstruct_inout(t_add*);
extern int ConstParam(const int);
extern char* GetValue(void);
extern int notCalled(int);
extern int myprintf (const char *, ...);

int fct_1()
{
  char line[12];

  test_in(1);
  test_in(1);
  test_out(line);
  test_inout(line);
  test_no(1);
  test_no(3);
  test_no(2);
  test_nocheck(1);
  test_nocheck(1);
  /* notCalled(int); */

  return 0;
}

int fct_2(int choice)
{
  t_add *p;
  int ret;

  p=malloc(sizeof(t_add));

  p->Param1 = 3;
  p->Param2 = 4;
  if (! choice) {
    ret = test_pstruct_in(p);
  }
  else {
    ret = test_pstruct_inout(p);
  }

  free(p);
  return 0;
}

int fct_3()
{
  int l;

  l = 5;
  myprintf("Hello: %d\n",l);
  return 0;
}

int fct_4()
{
  const int max=1000;

  ConstParam(max);
  return 0;
}

int fct_5()
{
  char *ptr;

  ptr = GetValue();
  return 0;
}

int fct_6(int x)
{
  myprintf("fct_6: %d\n",x);
  return x;
}

void fct_7()
{
	fct_6(3);
}

